> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gizatech.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Rewards

> Claim accrued rewards for a wallet

<Note>
  **SDK Alternative**: Use `agent.claimRewards()` for a simpler TypeScript interface. [See SDK docs](/sdk-reference/agent/rewards)
</Note>

## Description

Claims accrued rewards (such as protocol incentives) for a specific wallet. Rewards are transferred to the smart account.

## Path Parameters

<ParamField path="chain_id" type="integer" required>
  The blockchain chain ID
</ParamField>

<ParamField path="wallet" type="string" required>
  The wallet address
</ParamField>

## Response

<ResponseField name="rewards" type="array">
  List of claimed rewards

  <Expandable>
    <ResponseField name="token" type="string">
      Token address of the reward
    </ResponseField>

    <ResponseField name="amount" type="integer">
      Amount in smallest token units
    </ResponseField>

    <ResponseField name="amount_float" type="number">
      Amount as a decimal
    </ResponseField>

    <ResponseField name="current_price_in_underlying" type="number">
      Current price in underlying token
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:claim-rewards" \
    -H "X-Partner-API-Key: your-api-key" \
    -H "X-Partner-Name: your-partner-name"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://partners-backend-1038109371738.europe-west1.run.app/api/v1/8453/wallets/0x...:claim-rewards',
    {
      method: 'POST',
      headers: {
        'X-Partner-API-Key': 'your-api-key',
        'X-Partner-Name': 'your-partner-name',
      },
    }
  );
  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "rewards": [
      {
        "token": "0x...",
        "amount": 1000000000000000000,
        "amount_float": 1.0,
        "current_price_in_underlying": 50.0
      }
    ]
  }
  ```
</ResponseExample>
